This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1469639 - (CVE-2017-9751) CVE-2017-9751 binutils: Stack-based buffer over-read in opcodes/rl78-decode.opc when disassembling a corrupt RL78 binary
CVE-2017-9751 binutils: Stack-based buffer over-read in opcodes/rl78-decode.o...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170711,reported=2...
: Security
Depends On: 1469640 1469641
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 11:01 EDT by Pedro Sampaio
Modified: 2017-07-12 10:11 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-11 11:21:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2017-07-11 11:01:19 EDT
opcodes/rl78-decode.opc in GNU Binutils 2.28 has an unbounded GETBYTE macro, which allows attackers to cause a denial of service (application crash) or possibly have unspecified other impact via a crafted binary file, as demonstrated by mishandling of this file during "objdump -D" execution.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21588

Upstream patch:

https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=63323b5b23bd83fa7b04ea00dff593c933e9b0e3

References:
Comment 1 Pedro Sampaio 2017-07-11 11:01:56 EDT
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1469640]


Created mingw-binutils tracking bugs for this issue:

Affects: epel-all [bug 1469641]

Note You need to log in before you can comment on or make changes to this bug.